package org.springblade.flow.visual.portal.service;


import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import org.springblade.flow.visual.portal.entity.PortalEntity;
import org.springblade.flow.visual.portal.model.PortalPagination;
import org.springblade.flow.visual.portal.model.PortalSelectModel;

/**
 *
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司（https://www.jnpfsoft.com）
 * @author JNPF开发平台组
 * @date 2021/3/16
 */
public interface PortalService extends IService<PortalEntity> {

    List<PortalEntity> getList(PortalPagination pagination);

    List<PortalEntity> getList();

    PortalEntity getInfo(String id);

    void create(PortalEntity entity);

    boolean update(String id, PortalEntity entity);

    void delete(PortalEntity entity);

    List<PortalSelectModel> getList(String type);

}
